Subject: Re: [AVTCORE] Fwd: Technical - Re: [Editorial Errata Reported] RFC7273 (4450)

From: Kevin Gross <[email-masked]>
Date: Tue, 19 Jan 2016 19:16:47 -0700

The authors are in agreement that the most recent proposal is the desired
fix and there doesn't seem to be any dissent in AVTCORE about it. Can we
get the errata updated to reflect this most recent proposal? It is still
showing my original report -
https://www.rfc-editor.org/errata_search.php?rfc=7273

Kevin Gross - AVA Networks

On Sun, Dec 6, 2015 at 1:00 PM, Kevin Gross <[email-masked]> wrote:

> The authors and I propose the following fix for the reported RFC 7273
> errata. These ABNF changes bring the ABNF specification into agreement with
> the examples in the RFC. Current RFC 7273 implementations have been based
> on the examples.
>
> Original Text
> -------------
>    ; PTP domain allowed characters: 0x21-0x7E (IEEE 1588-2002)
>    ptp-domain-name = "domain-name=" 1*16ptp-domain-char
>    ptp-domain-char = %x21-7E
>
>    ; PTP domain allowed number range: 0-127 (IEEE 1588-2008)
>    ptp-domain-nmbr = "domain-nmbr=" ptp-domain-dgts
>    ptp-domain-dgts = ptp-domain-n1 / ptp-domain-n2 / ptp-domain-n3
>    ptp-domain-n1   = DIGIT             ; 0-9
>    ptp-domain-n2   = POS-DIGIT DIGIT   ; 10-99
>    ptp-domain-n3   = ("10"/"11") DIGIT ; 100-119
>                    / "12" %x30-37      ; 120-127
>
> Corrected Text
> --------------
>    ; PTP domain allowed characters: 0x21-0x7E (IEEE 1588-2002)
>    ptp-domain-name = 1*16ptp-domain-char
>    ptp-domain-char = %x21-7E
>
>    ; PTP domain allowed number range: 0-127 (IEEE 1588-2008)
>    ptp-domain-nmbr = ptp-domain-dgts
>    ptp-domain-dgts = ptp-domain-n1 / ptp-domain-n2 / ptp-domain-n3
>    ptp-domain-n1   = DIGIT             ; 0-9
>    ptp-domain-n2   = POS-DIGIT DIGIT   ; 10-99
>    ptp-domain-n3   = ("10"/"11") DIGIT ; 100-119
>                    / "12" %x30-37      ; 120-127
>
>
> Kevin Gross - AVA Networks
>
> On Thu, Oct 8, 2015 at 12:37 PM, Kevin Gross <[email-masked]>
> wrote:
>
>> Yes, I will take your discussion into account when proposing final ABNF
>> changes. I wanted first to make sure there were no objection to the general
>> proposal of fixing this by conforming ABNF to examples. Since we have seen
>> no objections, I will proceed to prepare a revision.
>>
>> Kevin Gross - AVA Networks
>>
>> On Tue, Oct 6, 2015 at 3:33 AM, Magnus Westerlund <
>> [email-masked]> wrote:
>>
>>> Hi Kevin,
>>>
>>> Can you please review my previous email in detail:
>>> https://mailarchive.ietf.org/arch/msg/avt/kjoyUZh-9c4lYMM6pXQhH30TebY
>>>
>>> I think you need to confirm on what changes that is really proposed
>>> here, and thus my feedback is relevant for this.
>>>
>>> However, I have so far seen no one objecting to the general intention to
>>> at least make alignment with the examples?
>>>
>>> Cheers
>>>
>>> Magnus Westerlund
>>> (AVTCORE chair)
>>>
>>>
>>> --
>>>
>>> Magnus Westerlund
>>>
>>> ----------------------------------------------------------------------
>>> Services, Media and Network features, Ericsson Research EAB/TXM
>>> ----------------------------------------------------------------------
>>> Ericsson AB                 | Phone  +46 10 7148287
>>> Färögatan 6                 | Mobile +46 73 0949079
>>> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
>>> ----------------------------------------------------------------------
>>>
>>>
>>
>